<?php

/**
 * @file
 * Page callbacks for the registrar_api module.
 */

/**
 * AJAX Callback for the contact autocomplete.
 */
function registrar_api_contact_autocomplete($string = "") {
  $matches = array();
  global $user;
  $result = db_query("
    SELECT node.title, node.nid, contact.* FROM {registrar_api_contact} contact
      LEFT JOIN {registrar_api_user_handles} handles
      ON (contact.nid = handles.nid)
        LEFT JOIN {node} node
        ON (contact.nid = node.nid)
      WHERE handles.uid = %d
      AND LOWER(node.title) LIKE LOWER('%s%%')", $user->uid, $string);
  while ($data = db_fetch_object($result)) {
    $matches[$data->title . ' [nid: ' . $data->nid . ']'] = theme('registrar_api_contact_info', $data);
  }
  drupal_json($matches);
}

/**
 * Menu callback for user registrar contacts.
 */
function registrar_api_user_page($user) {
  $result = db_query("
    SELECT * FROM {registrar_api_user_handles} handles
      LEFT JOIN {registrar_api_contact} contact
      ON (handles.nid = contact.nid)
        LEFT JOIN {node} node
          ON (contact.nid = node.nid)
    WHERE  handles.uid = %d", $user->uid);
  $table_header = array('Handle', 'Contact name', 'Company');
  $table_data   = array();
  while ($contact = db_fetch_object($result)) {
    $attr = array('title' => theme('registrar_api_contact_info', $contact));
    $table_data[] = array(l($contact->title, 'node/'. $contact->nid, array('attributes' => $attr)), _registrar_api_full_contact_name($contact), $contact->company_name);
  }
  return theme_table($table_header, $table_data);
}
